www.cendio.com

Bug 7075

Summary: Upgrading ThinLinc takes too long on SELinux step in tl-setup
Product: ThinLinc Reporter: Samuel Mannehed <samuel@cendio.se>
Component: Server InstallerAssignee: Henrik Andersson <hean01@cendio.se>
Status: CLOSED FIXED QA Contact: Bugzilla mail exporter <bugzilla-qa@cendio.se>
Severity: Normal    
Priority: P2 CC: ossman@cendio.se, thoni56@cendio.se
Version: trunkKeywords: derfian_tester, hean01_tester, relnotes, samuel_tester
Target Milestone: 4.9.0   
Hardware: PC   
OS: Unknown   
Acceptance Criteria:

Description From cendio 2017-11-02 12:35:49
Split off from bug #6076.

> One such application is tl-setup. restorecon (part of the SELinux step) will
> take forever to complete if there are a bunch of disconnected drives.

We have observed this taking 15 minutes or more, depending on the number of
sessions.
------- Comment #3 From cendio 2017-11-02 13:10:14 -------
* Tested that restorecon has the same API on RHEL5, CentOS 7, and Fedora 25.
* Verified that the fix works on an affected system where this step previously
took ~15 minutes
------- Comment #4 From cendio 2017-11-03 08:41:42 -------
Broken on fresh install. Does not fix the context of /var/opt/thinlinc/sessions
itself.
------- Comment #7 From cendio 2017-11-07 11:02:11 -------
Verified that tl-setup restores context on /var/opt/thinlinc/sessions

Works as expected.